PPanel Edge

content

由 openapi.json 自动生成的 2 个端点及其请求、响应和权限元数据。

此参考由已发布 API 契约生成。字段、请求头和权限要求如下。

下载完整 OpenAPI 文档 · SHA-256: ccaa20cec11fad96e369b88073ce3608a5b071ce55d6dc03fa31df7b0f08c525

标识符和数据结构与公开契约一致,说明直接给出调用规则。共享模型见 数据模型.

GET /api/v1/public/content

GET /api/v1/public/content

Portal footer and tutorial switch

{
  "parameters": [
    {
      "in": "query",
      "name": "locale",
      "required": false,
      "schema": {
        "maxLength": 35,
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "footer_md": {
                "type": "string"
              },
              "pages": {
                "items": {
                  "properties": {
                    "body_md": {
                      "type": "string"
                    },
                    "slug": {
                      "type": "string"
                    },
                    "title": {
                      "type": "string"
                    }
                  },
                  "required": [
                    "slug",
                    "title",
                    "body_md"
                  ],
                  "type": "object"
                },
                "type": "array"
              },
              "tutorial_enabled": {
                "type": "boolean"
              }
            },
            "required": [
              "tutorial_enabled",
              "pages"
            ],
            "type": "object"
          }
        }
      },
      "description": "Success"
    }
  },
  "summary": "Portal footer and tutorial switch",
  "tags": [
    "content"
  ],
  "x-body": "none",
  "x-body-limit": 0,
  "x-rate-limit": "support.content.read",
  "effectiveSecurity": []
}

GET /api/v1/public/content/pages/{slug}

GET /api/v1/public/content/pages/{slug}

Published localized website page

{
  "parameters": [
    {
      "in": "path",
      "name": "slug",
      "required": true,
      "schema": {
        "maxLength": 80,
        "minLength": 1,
        "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
        "type": "string"
      }
    },
    {
      "in": "query",
      "name": "locale",
      "required": false,
      "schema": {
        "maxLength": 35,
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "body_md": {
                "type": "string"
              },
              "slug": {
                "type": "string"
              },
              "title": {
                "type": "string"
              }
            },
            "required": [
              "slug",
              "title",
              "body_md"
            ],
            "type": "object"
          }
        }
      },
      "description": "Success"
    },
    "404": {
      "content": {
        "application/problem+json": {
          "schema": {
            "properties": {
              "code": {
                "type": "string"
              },
              "request_id": {
                "type": "string"
              },
              "status": {
                "type": "number"
              },
              "title": {
                "type": "string"
              },
              "type": {
                "type": "string"
              }
            },
            "required": [
              "type",
              "title",
              "status",
              "code",
              "request_id"
            ],
            "type": "object"
          }
        }
      },
      "description": "Not found"
    }
  },
  "summary": "Published localized website page",
  "tags": [
    "content"
  ],
  "x-body": "none",
  "x-body-limit": 0,
  "x-idempotency": "none",
  "x-rate-limit": "support.content.read",
  "x-reauth": false,
  "effectiveSecurity": []
}